/moco-invoicing | Type: Application | PCID required: Yes
Tools
moco_invoicing_create_invoice_reminders
Create invoice reminder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
date | string | No | — | The date value |
due_date | string | No | — | Due Date |
fee | number | No | — | The fee value |
invoice_id | integer | No | — | Invoice Id |
text | string | No | — | The text value |
title | string | No | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"date": {
"type": "string",
"description": "The date value"
},
"due_date": {
"type": "string",
"description": "Due Date"
},
"fee": {
"type": "number",
"description": "The fee value"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"text": {
"type": "string",
"description": "The text value"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID"
]
}
moco_invoicing_create_invoice_reminders_send_email
Send invoice reminder by email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
emails_bcc | string | No | — | Semicolon-separated email list. |
emails_cc | string | No | — | Semicolon-separated email list. |
emails_to | string | No | — | Semicolon-separated email list. |
subject | string | Yes | — | The subject value |
text | string | Yes | — | The text value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"emails_bcc": {
"type": "string",
"description": "Semicolon-separated email list."
},
"emails_cc": {
"type": "string",
"description": "Semicolon-separated email list."
},
"emails_to": {
"type": "string",
"description": "Semicolon-separated email list."
},
"subject": {
"type": "string",
"description": "The subject value"
},
"text": {
"type": "string",
"description": "The text value"
}
},
"required": [
"PCID",
"id",
"subject",
"text"
]
}
moco_invoicing_create_invoices
Create invoice Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. | |
cash_discount | number | No | — | Cash discount percentage. | |
cash_discount_days | integer | No | — | Cash discount validity in days. | |
category | string | No | — | Invoice category. | |
change_address | string | No | — | Replace recipient address from selected source. | |
contact_id | integer | No | — | External contact person ID. | |
currency | string | Yes | — | Currency code. | |
custom_properties | object | No | — | Custom field values keyed by custom field name. | |
customer_id | integer | Yes | — | Customer company ID. | |
date | string | Yes | — | Invoice date. | |
discount | number | No | — | Discount value. | |
due_date | string | Yes | — | Due date. | |
footer | string | No | — | Footer text. Supports template variables such as {identifier}, {gross_total}, {net_total}, {user}, {me}, and more. | |
identifier | string | No | — | Optional custom invoice number. | |
internal_contact_id | integer | No | — | Internal contact user ID. | |
items | any[] | Yes | — | Invoice line items. | |
letter_paper_id | integer | null | No | — | Letter paper ID to use for this invoice. When omitted, the account’s default invoice letter paper is used. If without_letter_paper is set to true, this field is ignored. Available letter papers can be fetched via GET /api/v1/letter_papers. |
offer_id | integer | No | — | Optional source offer ID. | |
print_detail_columns | boolean | No | — | Include detailed columns in print layouts. | |
project_id | integer | No | — | Optional project ID. | |
recipient_address | string | Yes | — | Recipient address. | |
salutation | string | No | — | Salutation text. Supports template variables such as {salutation}, {recipient}, {company_name}, {date}, {due_date}, and more. | |
service_period_from | string | No | — | Service period start. Use together with service_period_to. | |
service_period_to | string | No | — | Service period end. Use together with service_period_from. | |
status | string | No | — | Initial invoice status. | |
tags | string[] | No | — | Invoice tags. | |
tax | number | Yes | — | VAT/tax percentage. | |
title | string | Yes | — | Invoice title. | |
without_letter_paper | boolean | No | — | When set to true, creates the invoice without letter paper (white). This takes precedence over letter_paper_id. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"cash_discount": {
"type": "number",
"description": "Cash discount percentage."
},
"cash_discount_days": {
"type": "integer",
"description": "Cash discount validity in days."
},
"category": {
"type": "string",
"description": "Invoice category."
},
"change_address": {
"type": "string",
"description": "Replace recipient address from selected source.",
"enum": [
"invoice",
"project",
"customer"
]
},
"contact_id": {
"type": "integer",
"description": "External contact person ID."
},
"currency": {
"type": "string",
"description": "Currency code."
},
"custom_properties": {
"type": "object",
"description": "Custom field values keyed by custom field name."
},
"customer_id": {
"type": "integer",
"description": "Customer company ID."
},
"date": {
"type": "string",
"description": "Invoice date."
},
"discount": {
"type": "number",
"description": "Discount value."
},
"due_date": {
"type": "string",
"description": "Due date."
},
"footer": {
"type": "string",
"description": "Footer text. Supports template variables such as `{identifier}`, `{gross_total}`, `{net_total}`, `{user}`, `{me}`, and more."
},
"identifier": {
"type": "string",
"description": "Optional custom invoice number."
},
"internal_contact_id": {
"type": "integer",
"description": "Internal contact user ID."
},
"items": {
"type": "array",
"description": "Invoice line items."
},
"letter_paper_id": {
"type": [
"integer",
"null"
],
"description": "Letter paper ID to use for this invoice. When omitted, the account's default invoice letter paper is used. If `without_letter_paper` is set to `true`, this field is ignored. Available letter papers can be fetched via `GET /api/v1/letter_papers`."
},
"offer_id": {
"type": "integer",
"description": "Optional source offer ID."
},
"print_detail_columns": {
"type": "boolean",
"description": "Include detailed columns in print layouts."
},
"project_id": {
"type": "integer",
"description": "Optional project ID."
},
"recipient_address": {
"type": "string",
"description": "Recipient address."
},
"salutation": {
"type": "string",
"description": "Salutation text. Supports template variables such as `{salutation}`, `{recipient}`, `{company_name}`, `{date}`, `{due_date}`, and more."
},
"service_period_from": {
"type": "string",
"description": "Service period start. Use together with `service_period_to`."
},
"service_period_to": {
"type": "string",
"description": "Service period end. Use together with `service_period_from`."
},
"status": {
"type": "string",
"description": "Initial invoice status.",
"enum": [
"created",
"draft"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Invoice tags."
},
"tax": {
"type": "number",
"description": "VAT/tax percentage."
},
"title": {
"type": "string",
"description": "Invoice title."
},
"without_letter_paper": {
"type": "boolean",
"description": "When set to `true`, creates the invoice without letter paper (white). This takes precedence over `letter_paper_id`."
}
},
"required": [
"PCID",
"currency",
"customer_id",
"date",
"due_date",
"items",
"recipient_address",
"tax",
"title"
]
}
moco_invoicing_create_invoices_attachments
Create invoice attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
invoice_id | integer | Yes | — | Invoice Id |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
attachment | object | Yes | — | The attachment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"attachment": {
"type": "object",
"description": "The attachment value",
"properties": {
"filename": {
"type": "string",
"description": "File name including extension."
},
"base64": {
"type": "string",
"description": "Base64-encoded file content."
}
},
"required": [
"filename",
"base64"
]
}
},
"required": [
"PCID",
"invoice_id",
"attachment"
]
}
moco_invoicing_create_invoices_bookkeeping_exports
Create invoice bookkeeping export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
comment | string | No | — | The comment value |
invoice_ids | integer[] | No | — | Invoice Ids |
trigger_submission | boolean | No | — | Trigger Submission |
with_direct_online_submission | boolean | No | — | With Direct Online Submission |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"comment": {
"type": "string",
"description": "The comment value"
},
"invoice_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Invoice Ids"
},
"trigger_submission": {
"type": "boolean",
"description": "Trigger Submission"
},
"with_direct_online_submission": {
"type": "boolean",
"description": "With Direct Online Submission"
}
},
"required": [
"PCID"
]
}
moco_invoicing_create_invoices_payments
Create invoice payment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
currency | string | No | — | The currency value |
date | string | Yes | — | The date value |
description | string | No | — | The description value |
invoice_id | integer | Yes | — | Invoice Id |
paid_total | number | Yes | — | Paid Total |
partially_paid | boolean | No | — | Partially Paid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"currency": {
"type": "string",
"description": "The currency value"
},
"date": {
"type": "string",
"description": "The date value"
},
"description": {
"type": "string",
"description": "The description value"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"paid_total": {
"type": "number",
"description": "Paid Total"
},
"partially_paid": {
"type": "boolean",
"description": "Partially Paid"
}
},
"required": [
"PCID",
"date",
"invoice_id",
"paid_total"
]
}
moco_invoicing_create_invoices_payments_bulk
Create invoice payments in bulk Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
bulk_data | object[] | Yes | — | Bulk Data |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"bulk_data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"date": {
"type": "string",
"format": "date",
"description": "The date value"
},
"paid_total": {
"type": "number",
"description": "Paid Total"
},
"currency": {
"type": "string",
"description": "The currency value"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"payment_account_id": {
"type": "integer",
"description": "Payment Account Id"
}
}
},
"description": "Bulk Data"
}
},
"required": [
"PCID",
"bulk_data"
]
}
moco_invoicing_create_invoices_send_email
Send invoice by email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
emails_bcc | string | No | — | BCC recipients as semicolon-separated list. |
emails_cc | string | No | — | CC recipients as semicolon-separated list. |
emails_to | string | No | — | To recipients as semicolon-separated list. |
letter_paper_id | integer | No | — | Optional letter paper ID used for generated PDF. |
subject | string | Yes | — | Email subject. |
text | string | Yes | — | Email body text. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"emails_bcc": {
"type": "string",
"description": "BCC recipients as semicolon-separated list."
},
"emails_cc": {
"type": "string",
"description": "CC recipients as semicolon-separated list."
},
"emails_to": {
"type": "string",
"description": "To recipients as semicolon-separated list."
},
"letter_paper_id": {
"type": "integer",
"description": "Optional letter paper ID used for generated PDF."
},
"subject": {
"type": "string",
"description": "Email subject."
},
"text": {
"type": "string",
"description": "Email body text."
}
},
"required": [
"PCID",
"id",
"subject",
"text"
]
}
moco_invoicing_create_projects_expenses
Create project expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
billable | boolean | No | — | Whether this expense can be billed. |
budget_relevant | boolean | No | — | Whether this expense affects project budget. |
cost_total_planned | number | No | — | Planned internal cost total. |
custom_properties | object | No | — | Custom field values keyed by custom field name. |
date | string | No | — | Expense date. |
description | string | No | — | Expense description text. |
file | object | No | — | Optional attachment payload. |
planned_purchase_date | string | No | — | Planned purchase date (when planned purchases are enabled). |
price | number | No | — | Deprecated total selling price alias. |
purchase_assignment_locked | boolean | No | — | Locks assignment to purchase items. |
quantity | number | No | — | Quantity. |
service_period_from | string | No | — | Start of service period. |
service_period_to | string | No | — | End of service period. |
title | string | No | — | Expense title. |
unit | string | No | — | Unit label. |
unit_cost | number | No | — | Unit internal cost. |
unit_price | number | No | — | Unit selling price. |
user_id | integer | No | — | Responsible user ID (must be active on create). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"billable": {
"type": "boolean",
"description": "Whether this expense can be billed."
},
"budget_relevant": {
"type": "boolean",
"description": "Whether this expense affects project budget."
},
"cost_total_planned": {
"type": "number",
"description": "Planned internal cost total."
},
"custom_properties": {
"type": "object",
"description": "Custom field values keyed by custom field name."
},
"date": {
"type": "string",
"description": "Expense date."
},
"description": {
"type": "string",
"description": "Expense description text."
},
"file": {
"type": "object",
"description": "Optional attachment payload.",
"properties": {
"filename": {
"type": "string",
"description": "Original file name including extension."
},
"base64": {
"type": "string",
"description": "Base64 encoded file content."
}
}
},
"planned_purchase_date": {
"type": "string",
"description": "Planned purchase date (when planned purchases are enabled)."
},
"price": {
"type": "number",
"description": "Deprecated total selling price alias."
},
"purchase_assignment_locked": {
"type": "boolean",
"description": "Locks assignment to purchase items."
},
"quantity": {
"type": "number",
"description": "Quantity."
},
"service_period_from": {
"type": "string",
"description": "Start of service period."
},
"service_period_to": {
"type": "string",
"description": "End of service period."
},
"title": {
"type": "string",
"description": "Expense title."
},
"unit": {
"type": "string",
"description": "Unit label."
},
"unit_cost": {
"type": "number",
"description": "Unit internal cost."
},
"unit_price": {
"type": "number",
"description": "Unit selling price."
},
"user_id": {
"type": "integer",
"description": "Responsible user ID (must be active on create)."
}
},
"required": [
"PCID",
"project_id"
]
}
moco_invoicing_create_projects_expenses_bulk
Create project expenses in bulk Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
bulk_data | any[] | Yes | — | Expense entries created in one transaction. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"bulk_data": {
"type": "array",
"description": "Expense entries created in one transaction."
}
},
"required": [
"PCID",
"project_id",
"bulk_data"
]
}
moco_invoicing_create_projects_expenses_disregard
Disregard project expenses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
expense_ids | integer[] | Yes | — | IDs of expenses to disregard. |
reason | string | Yes | — | Reason shown in history/audit context. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"expense_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "IDs of expenses to disregard."
},
"reason": {
"type": "string",
"description": "Reason shown in history/audit context."
}
},
"required": [
"PCID",
"project_id",
"expense_ids",
"reason"
]
}
moco_invoicing_create_projects_recurring_expenses
Create project recurring expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
billable | boolean | No | — | The billable value |
billing_in_advance | boolean | No | — | Deprecated alias for service_period_direction (true=forward, false=backward). |
budget_relevant | boolean | No | — | Budget Relevant |
custom_properties | object | No | — | Custom Properties |
description | string | No | — | The description value |
finish_date | string | No | — | Finish Date |
period | string | No | — | The period value |
purchase_assignment_locked | boolean | No | — | Purchase Assignment Locked |
quantity | number | No | — | The quantity value |
service_period_direction | string | No | — | Service Period Direction |
start_date | string | No | — | Start date for filtering |
title | string | No | — | The title value |
unit | string | No | — | The unit value |
unit_cost | number | No | — | Unit Cost |
unit_price | number | No | — | Unit Price |
user_id | integer | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"billable": {
"type": "boolean",
"description": "The billable value"
},
"billing_in_advance": {
"type": "boolean",
"description": "Deprecated alias for `service_period_direction` (true=forward, false=backward)."
},
"budget_relevant": {
"type": "boolean",
"description": "Budget Relevant"
},
"custom_properties": {
"type": "object",
"description": "Custom Properties"
},
"description": {
"type": "string",
"description": "The description value"
},
"finish_date": {
"type": "string",
"description": "Finish Date"
},
"period": {
"type": "string",
"description": "The period value",
"enum": [
"weekly",
"biweekly",
"monthly",
"quarterly",
"biannual",
"annual",
"annual2",
"annual3"
]
},
"purchase_assignment_locked": {
"type": "boolean",
"description": "Purchase Assignment Locked"
},
"quantity": {
"type": "number",
"description": "The quantity value"
},
"service_period_direction": {
"type": "string",
"description": "Service Period Direction",
"enum": [
"none",
"forward",
"backward"
]
},
"start_date": {
"type": "string",
"description": "Start date for filtering"
},
"title": {
"type": "string",
"description": "The title value"
},
"unit": {
"type": "string",
"description": "The unit value"
},
"unit_cost": {
"type": "number",
"description": "Unit Cost"
},
"unit_price": {
"type": "number",
"description": "Unit Price"
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID",
"project_id"
]
}
moco_invoicing_create_projects_recurring_expenses_recur
Recur project recurring expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_delete_invoice_reminders
Delete invoice reminder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_delete_invoices
Delete invoice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
reason | string | No | — | Human-readable deletion reason for audit/history. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"reason": {
"type": "string",
"description": "Human-readable deletion reason for audit/history."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_delete_invoices_attachments
Delete invoice attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
invoice_id | integer | Yes | — | Invoice Id |
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"invoice_id",
"id"
]
}
moco_invoicing_delete_invoices_payments
Delete invoice payment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_delete_projects_expenses
Delete project expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_delete_projects_recurring_expenses
Delete project recurring expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_get_invoice_reminders
Get invoice reminder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices
Download invoice PDF Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
blank | boolean | No | — | Return PDF without letter paper. |
letter_paper_id | integer | No | — | Letter paper ID. Defaults to account default when omitted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"blank": {
"type": "boolean",
"description": "Return PDF without letter paper."
},
"letter_paper_id": {
"type": "integer",
"description": "Letter paper ID. Defaults to account default when omitted."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices_1
Get invoice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices_attachments
List invoice attachments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
invoice_id | integer | Yes | — | Invoice Id |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"invoice_id"
]
}
moco_invoicing_get_invoices_bookkeeping_exports
Get invoice bookkeeping export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices_expenses
List invoice expenses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices_payments
Get invoice payment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices_timesheet
Get invoice timesheet entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_invoices_timesheet_pdf
Download invoice timesheet PDF Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
letter_paper_id | integer | No | — | Letter Paper Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"letter_paper_id": {
"type": "integer",
"description": "Letter Paper Id"
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_get_projects_expenses
Get project expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_get_projects_expenses_1
List project expenses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
custom_properties | object | No | — | Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using custom_properties[Field][]=A&custom_properties[Field][]=B. Boolean fields should be queried with true or false. |
billable | boolean | No | — | The billable value |
billed | boolean | No | — | The billed value |
budget_relevant | boolean | No | — | Budget Relevant |
user_id | integer | No | — | User Id |
project_id | integer | Yes | — | Project ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"custom_properties": {
"type": "object",
"description": "Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using `custom_properties[Field][]=A&custom_properties[Field][]=B`. Boolean fields should be queried with `true` or `false`."
},
"billable": {
"type": "boolean",
"description": "The billable value"
},
"billed": {
"type": "boolean",
"description": "The billed value"
},
"budget_relevant": {
"type": "boolean",
"description": "Budget Relevant"
},
"user_id": {
"type": "integer",
"description": "User Id"
},
"project_id": {
"type": "integer",
"description": "Project ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
}
},
"required": [
"PCID",
"project_id"
]
}
moco_invoicing_get_projects_recurring_expenses
Get project recurring expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_get_projects_recurring_expenses_1
List project recurring expenses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
ids | string | No | — | Comma-separated IDs. |
sort_by | string | No | — | Field and optional direction, e.g. title desc. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
custom_properties | object | No | — | Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using custom_properties[Field][]=A&custom_properties[Field][]=B. Boolean fields should be queried with true or false. |
project_id | integer | Yes | — | Project Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"ids": {
"type": "string",
"description": "Comma-separated IDs."
},
"sort_by": {
"type": "string",
"description": "Field and optional direction, e.g. `title desc`."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"custom_properties": {
"type": "object",
"description": "Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using `custom_properties[Field][]=A&custom_properties[Field][]=B`. Boolean fields should be queried with `true` or `false`."
},
"project_id": {
"type": "integer",
"description": "Project Id"
}
},
"required": [
"PCID",
"project_id"
]
}
moco_invoicing_list_invoice_reminders
List invoice reminders Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
ids | string | No | — | Comma-separated IDs. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
invoice_id | integer | No | — | Invoice Id |
date_from | string | No | — | Reminder date range start. Format: YYYY-MM-DD (e.g. 2026-01-01). |
date_to | string | No | — | Reminder date range end. Format: YYYY-MM-DD (e.g. 2026-01-31). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"ids": {
"type": "string",
"description": "Comma-separated IDs."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"date_from": {
"type": "string",
"description": "Reminder date range start. Format: YYYY-MM-DD (e.g. `2026-01-01`)."
},
"date_to": {
"type": "string",
"description": "Reminder date range end. Format: YYYY-MM-DD (e.g. `2026-01-31`)."
}
},
"required": [
"PCID"
]
}
moco_invoicing_list_invoices
List invoices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
sort_by | string | No | — | Field and optional direction, e.g. title desc. |
ids | string | No | — | Comma-separated IDs. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
status | string | No | — | Comma-separated API statuses. |
include_disregarded | boolean | No | — | Include Disregarded |
not_booked | boolean | No | — | Not Booked |
date_from | string | No | — | Invoice date range start. Format: YYYY-MM-DD (e.g. 2026-01-01). |
date_to | string | No | — | Invoice date range end. Format: YYYY-MM-DD (e.g. 2026-01-31). |
service_period_from | string | No | — | Service period start. Format: YYYY-MM-DD (e.g. 2026-01-01). |
service_period_to | string | No | — | Service period end. Format: YYYY-MM-DD (e.g. 2026-01-31). |
tags | string | No | — | Comma-separated list of tag names. |
identifier | string | No | — | The identifier value |
term | string | No | — | The term value |
company_id | integer | No | — | Company Id |
project_id | integer | No | — | Project Id |
custom_properties | object | No | — | Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using custom_properties[Field][]=A&custom_properties[Field][]=B. Boolean fields should be queried with true or false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"sort_by": {
"type": "string",
"description": "Field and optional direction, e.g. `title desc`."
},
"ids": {
"type": "string",
"description": "Comma-separated IDs."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"status": {
"type": "string",
"description": "Comma-separated API statuses."
},
"include_disregarded": {
"type": "boolean",
"description": "Include Disregarded"
},
"not_booked": {
"type": "boolean",
"description": "Not Booked"
},
"date_from": {
"type": "string",
"description": "Invoice date range start. Format: YYYY-MM-DD (e.g. `2026-01-01`)."
},
"date_to": {
"type": "string",
"description": "Invoice date range end. Format: YYYY-MM-DD (e.g. `2026-01-31`)."
},
"service_period_from": {
"type": "string",
"description": "Service period start. Format: YYYY-MM-DD (e.g. `2026-01-01`)."
},
"service_period_to": {
"type": "string",
"description": "Service period end. Format: YYYY-MM-DD (e.g. `2026-01-31`)."
},
"tags": {
"type": "string",
"description": "Comma-separated list of tag names."
},
"identifier": {
"type": "string",
"description": "The identifier value"
},
"term": {
"type": "string",
"description": "The term value"
},
"company_id": {
"type": "integer",
"description": "Company Id"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"custom_properties": {
"type": "object",
"description": "Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using `custom_properties[Field][]=A&custom_properties[Field][]=B`. Boolean fields should be queried with `true` or `false`."
}
},
"required": [
"PCID"
]
}
moco_invoicing_list_invoices_bookkeeping_exports
List invoice bookkeeping exports Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
}
},
"required": [
"PCID"
]
}
moco_invoicing_list_invoices_locked
List locked invoices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
status | string | No | — | The status value |
date_from | string | No | — | Invoice date range start. Format: YYYY-MM-DD (e.g. 2026-01-01). |
date_to | string | No | — | Invoice date range end. Format: YYYY-MM-DD (e.g. 2026-01-31). |
identifier | string | No | — | The identifier value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"status": {
"type": "string",
"description": "The status value"
},
"date_from": {
"type": "string",
"description": "Invoice date range start. Format: YYYY-MM-DD (e.g. `2026-01-01`)."
},
"date_to": {
"type": "string",
"description": "Invoice date range end. Format: YYYY-MM-DD (e.g. `2026-01-31`)."
},
"identifier": {
"type": "string",
"description": "The identifier value"
}
},
"required": [
"PCID"
]
}
moco_invoicing_list_invoices_payments
List invoice payments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
ids | string | No | — | Comma-separated IDs. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
invoice_id | integer | No | — | Invoice Id |
date_from | string | No | — | Payment date range start. Format: YYYY-MM-DD (e.g. 2026-01-01). |
date_to | string | No | — | Payment date range end. Format: YYYY-MM-DD (e.g. 2026-01-31). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"ids": {
"type": "string",
"description": "Comma-separated IDs."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"date_from": {
"type": "string",
"description": "Payment date range start. Format: YYYY-MM-DD (e.g. `2026-01-01`)."
},
"date_to": {
"type": "string",
"description": "Payment date range end. Format: YYYY-MM-DD (e.g. `2026-01-31`)."
}
},
"required": [
"PCID"
]
}
moco_invoicing_list_projects_expenses
List expenses across projects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
ids | string | No | — | Comma-separated IDs. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
custom_properties | object | No | — | Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using custom_properties[Field][]=A&custom_properties[Field][]=B. Boolean fields should be queried with true or false. |
from | string | No | — | Expense date range start. Format: YYYY-MM-DD (e.g. 2026-01-01). |
to | string | No | — | Expense date range end. Format: YYYY-MM-DD (e.g. 2026-01-31). |
billable | boolean | No | — | The billable value |
billed | boolean | No | — | The billed value |
budget_relevant | boolean | No | — | Budget Relevant |
tags | string | No | — | Comma-separated project tag names. |
user_id | integer | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"ids": {
"type": "string",
"description": "Comma-separated IDs."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"custom_properties": {
"type": "object",
"description": "Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using `custom_properties[Field][]=A&custom_properties[Field][]=B`. Boolean fields should be queried with `true` or `false`."
},
"from": {
"type": "string",
"description": "Expense date range start. Format: YYYY-MM-DD (e.g. `2026-01-01`)."
},
"to": {
"type": "string",
"description": "Expense date range end. Format: YYYY-MM-DD (e.g. `2026-01-31`)."
},
"billable": {
"type": "boolean",
"description": "The billable value"
},
"billed": {
"type": "boolean",
"description": "The billed value"
},
"budget_relevant": {
"type": "boolean",
"description": "Budget Relevant"
},
"tags": {
"type": "string",
"description": "Comma-separated project tag names."
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID"
]
}
moco_invoicing_list_recurring_expenses
List recurring expenses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number, starting at 1. |
per_page | integer | No | — | Page size. |
sort_by | string | No | — | Field and optional direction, e.g. title desc. |
ids | string | No | — | Comma-separated IDs. |
updated_after | string | No | — | ISO 8601 UTC timestamp (e.g. 2026-01-31T14:30:00Z). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization. |
custom_properties | object | No | — | Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using custom_properties[Field][]=A&custom_properties[Field][]=B. Boolean fields should be queried with true or false. |
project_id | integer | No | — | Project Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number, starting at 1."
},
"per_page": {
"type": "integer",
"description": "Page size."
},
"sort_by": {
"type": "string",
"description": "Field and optional direction, e.g. `title desc`."
},
"ids": {
"type": "string",
"description": "Comma-separated IDs."
},
"updated_after": {
"type": "string",
"description": "ISO 8601 UTC timestamp (e.g. `2026-01-31T14:30:00Z`). Returns entities created or updated after this timestamp and is intended for incremental synchronization. Combine with delete webhooks for full synchronization."
},
"custom_properties": {
"type": "object",
"description": "Filter by custom field values. Unknown custom field names return an empty result set. For MultiSelect fields, pass multiple values using `custom_properties[Field][]=A&custom_properties[Field][]=B`. Boolean fields should be queried with `true` or `false`."
},
"project_id": {
"type": "integer",
"description": "Project Id"
}
},
"required": [
"PCID"
]
}
moco_invoicing_update_invoices_payments
Update invoice payment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
currency | string | No | — | The currency value |
date | string | No | — | The date value |
description | string | No | — | The description value |
invoice_id | integer | No | — | Invoice Id |
paid_total | number | No | — | Paid Total |
partially_paid | boolean | No | — | Partially Paid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"currency": {
"type": "string",
"description": "The currency value"
},
"date": {
"type": "string",
"description": "The date value"
},
"description": {
"type": "string",
"description": "The description value"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"paid_total": {
"type": "number",
"description": "Paid Total"
},
"partially_paid": {
"type": "boolean",
"description": "Partially Paid"
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_update_invoices_payments_1
Update invoice payment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
currency | string | No | — | The currency value |
date | string | No | — | The date value |
description | string | No | — | The description value |
invoice_id | integer | No | — | Invoice Id |
paid_total | number | No | — | Paid Total |
partially_paid | boolean | No | — | Partially Paid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"currency": {
"type": "string",
"description": "The currency value"
},
"date": {
"type": "string",
"description": "The date value"
},
"description": {
"type": "string",
"description": "The description value"
},
"invoice_id": {
"type": "integer",
"description": "Invoice Id"
},
"paid_total": {
"type": "number",
"description": "Paid Total"
},
"partially_paid": {
"type": "boolean",
"description": "Partially Paid"
}
},
"required": [
"PCID",
"id"
]
}
moco_invoicing_update_projects_expenses
Update project expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
billable | boolean | No | — | Whether this expense can be billed. |
budget_relevant | boolean | No | — | Whether this expense affects project budget. |
cost_total_planned | number | No | — | Planned internal cost total. |
custom_properties | object | No | — | Custom field values keyed by custom field name. |
date | string | No | — | Expense date. |
description | string | No | — | Expense description text. |
file | object | No | — | Optional attachment payload. |
planned_purchase_date | string | No | — | Planned purchase date (when planned purchases are enabled). |
price | number | No | — | Deprecated total selling price alias. |
purchase_assignment_locked | boolean | No | — | Locks assignment to purchase items. |
quantity | number | No | — | Quantity. |
service_period_from | string | No | — | Start of service period. |
service_period_to | string | No | — | End of service period. |
title | string | No | — | Expense title. |
unit | string | No | — | Unit label. |
unit_cost | number | No | — | Unit internal cost. |
unit_price | number | No | — | Unit selling price. |
user_id | integer | No | — | Responsible user ID (must be active on create). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"billable": {
"type": "boolean",
"description": "Whether this expense can be billed."
},
"budget_relevant": {
"type": "boolean",
"description": "Whether this expense affects project budget."
},
"cost_total_planned": {
"type": "number",
"description": "Planned internal cost total."
},
"custom_properties": {
"type": "object",
"description": "Custom field values keyed by custom field name."
},
"date": {
"type": "string",
"description": "Expense date."
},
"description": {
"type": "string",
"description": "Expense description text."
},
"file": {
"type": "object",
"description": "Optional attachment payload.",
"properties": {
"filename": {
"type": "string",
"description": "Original file name including extension."
},
"base64": {
"type": "string",
"description": "Base64 encoded file content."
}
}
},
"planned_purchase_date": {
"type": "string",
"description": "Planned purchase date (when planned purchases are enabled)."
},
"price": {
"type": "number",
"description": "Deprecated total selling price alias."
},
"purchase_assignment_locked": {
"type": "boolean",
"description": "Locks assignment to purchase items."
},
"quantity": {
"type": "number",
"description": "Quantity."
},
"service_period_from": {
"type": "string",
"description": "Start of service period."
},
"service_period_to": {
"type": "string",
"description": "End of service period."
},
"title": {
"type": "string",
"description": "Expense title."
},
"unit": {
"type": "string",
"description": "Unit label."
},
"unit_cost": {
"type": "number",
"description": "Unit internal cost."
},
"unit_price": {
"type": "number",
"description": "Unit selling price."
},
"user_id": {
"type": "integer",
"description": "Responsible user ID (must be active on create)."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_update_projects_expenses_1
Update project expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
billable | boolean | No | — | Whether this expense can be billed. |
budget_relevant | boolean | No | — | Whether this expense affects project budget. |
cost_total_planned | number | No | — | Planned internal cost total. |
custom_properties | object | No | — | Custom field values keyed by custom field name. |
date | string | No | — | Expense date. |
description | string | No | — | Expense description text. |
file | object | No | — | Optional attachment payload. |
planned_purchase_date | string | No | — | Planned purchase date (when planned purchases are enabled). |
price | number | No | — | Deprecated total selling price alias. |
purchase_assignment_locked | boolean | No | — | Locks assignment to purchase items. |
quantity | number | No | — | Quantity. |
service_period_from | string | No | — | Start of service period. |
service_period_to | string | No | — | End of service period. |
title | string | No | — | Expense title. |
unit | string | No | — | Unit label. |
unit_cost | number | No | — | Unit internal cost. |
unit_price | number | No | — | Unit selling price. |
user_id | integer | No | — | Responsible user ID (must be active on create). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"billable": {
"type": "boolean",
"description": "Whether this expense can be billed."
},
"budget_relevant": {
"type": "boolean",
"description": "Whether this expense affects project budget."
},
"cost_total_planned": {
"type": "number",
"description": "Planned internal cost total."
},
"custom_properties": {
"type": "object",
"description": "Custom field values keyed by custom field name."
},
"date": {
"type": "string",
"description": "Expense date."
},
"description": {
"type": "string",
"description": "Expense description text."
},
"file": {
"type": "object",
"description": "Optional attachment payload.",
"properties": {
"filename": {
"type": "string",
"description": "Original file name including extension."
},
"base64": {
"type": "string",
"description": "Base64 encoded file content."
}
}
},
"planned_purchase_date": {
"type": "string",
"description": "Planned purchase date (when planned purchases are enabled)."
},
"price": {
"type": "number",
"description": "Deprecated total selling price alias."
},
"purchase_assignment_locked": {
"type": "boolean",
"description": "Locks assignment to purchase items."
},
"quantity": {
"type": "number",
"description": "Quantity."
},
"service_period_from": {
"type": "string",
"description": "Start of service period."
},
"service_period_to": {
"type": "string",
"description": "End of service period."
},
"title": {
"type": "string",
"description": "Expense title."
},
"unit": {
"type": "string",
"description": "Unit label."
},
"unit_cost": {
"type": "number",
"description": "Unit internal cost."
},
"unit_price": {
"type": "number",
"description": "Unit selling price."
},
"user_id": {
"type": "integer",
"description": "Responsible user ID (must be active on create)."
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_update_projects_recurring_expenses
Update project recurring expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
billable | boolean | No | — | The billable value |
billing_in_advance | boolean | No | — | Deprecated alias for service_period_direction (true=forward, false=backward). |
budget_relevant | boolean | No | — | Budget Relevant |
custom_properties | object | No | — | Custom Properties |
description | string | No | — | The description value |
finish_date | string | No | — | Finish Date |
period | string | No | — | The period value |
purchase_assignment_locked | boolean | No | — | Purchase Assignment Locked |
quantity | number | No | — | The quantity value |
service_period_direction | string | No | — | Service Period Direction |
start_date | string | No | — | Start date for filtering |
title | string | No | — | The title value |
unit | string | No | — | The unit value |
unit_cost | number | No | — | Unit Cost |
unit_price | number | No | — | Unit Price |
user_id | integer | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"billable": {
"type": "boolean",
"description": "The billable value"
},
"billing_in_advance": {
"type": "boolean",
"description": "Deprecated alias for `service_period_direction` (true=forward, false=backward)."
},
"budget_relevant": {
"type": "boolean",
"description": "Budget Relevant"
},
"custom_properties": {
"type": "object",
"description": "Custom Properties"
},
"description": {
"type": "string",
"description": "The description value"
},
"finish_date": {
"type": "string",
"description": "Finish Date"
},
"period": {
"type": "string",
"description": "The period value",
"enum": [
"weekly",
"biweekly",
"monthly",
"quarterly",
"biannual",
"annual",
"annual2",
"annual3"
]
},
"purchase_assignment_locked": {
"type": "boolean",
"description": "Purchase Assignment Locked"
},
"quantity": {
"type": "number",
"description": "The quantity value"
},
"service_period_direction": {
"type": "string",
"description": "Service Period Direction",
"enum": [
"none",
"forward",
"backward"
]
},
"start_date": {
"type": "string",
"description": "Start date for filtering"
},
"title": {
"type": "string",
"description": "The title value"
},
"unit": {
"type": "string",
"description": "The unit value"
},
"unit_cost": {
"type": "number",
"description": "Unit Cost"
},
"unit_price": {
"type": "number",
"description": "Unit Price"
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_update_projects_recurring_expenses_1
Update project recurring expense Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project_id | integer | Yes | — | Project Id |
id | integer | Yes | — | Resource ID. |
billable | boolean | No | — | The billable value |
billing_in_advance | boolean | No | — | Deprecated alias for service_period_direction (true=forward, false=backward). |
budget_relevant | boolean | No | — | Budget Relevant |
custom_properties | object | No | — | Custom Properties |
description | string | No | — | The description value |
finish_date | string | No | — | Finish Date |
period | string | No | — | The period value |
purchase_assignment_locked | boolean | No | — | Purchase Assignment Locked |
quantity | number | No | — | The quantity value |
service_period_direction | string | No | — | Service Period Direction |
start_date | string | No | — | Start date for filtering |
title | string | No | — | The title value |
unit | string | No | — | The unit value |
unit_cost | number | No | — | Unit Cost |
unit_price | number | No | — | Unit Price |
user_id | integer | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project_id": {
"type": "integer",
"description": "Project Id"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"billable": {
"type": "boolean",
"description": "The billable value"
},
"billing_in_advance": {
"type": "boolean",
"description": "Deprecated alias for `service_period_direction` (true=forward, false=backward)."
},
"budget_relevant": {
"type": "boolean",
"description": "Budget Relevant"
},
"custom_properties": {
"type": "object",
"description": "Custom Properties"
},
"description": {
"type": "string",
"description": "The description value"
},
"finish_date": {
"type": "string",
"description": "Finish Date"
},
"period": {
"type": "string",
"description": "The period value",
"enum": [
"weekly",
"biweekly",
"monthly",
"quarterly",
"biannual",
"annual",
"annual2",
"annual3"
]
},
"purchase_assignment_locked": {
"type": "boolean",
"description": "Purchase Assignment Locked"
},
"quantity": {
"type": "number",
"description": "The quantity value"
},
"service_period_direction": {
"type": "string",
"description": "Service Period Direction",
"enum": [
"none",
"forward",
"backward"
]
},
"start_date": {
"type": "string",
"description": "Start date for filtering"
},
"title": {
"type": "string",
"description": "The title value"
},
"unit": {
"type": "string",
"description": "The unit value"
},
"unit_cost": {
"type": "number",
"description": "Unit Cost"
},
"unit_price": {
"type": "number",
"description": "Unit Price"
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID",
"project_id",
"id"
]
}
moco_invoicing_update_status_invoices
Update invoice status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Resource ID. |
X-IMPERSONATE-USER-ID | integer | No | — | Execute request on behalf of another user if allowed. |
status | string | Yes | — | Target API status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Resource ID."
},
"X-IMPERSONATE-USER-ID": {
"type": "integer",
"description": "Execute request on behalf of another user if allowed."
},
"status": {
"type": "string",
"description": "Target API status.",
"enum": [
"created",
"sent",
"overdue",
"ignored"
]
}
},
"required": [
"PCID",
"id",
"status"
]
}

